package com.ssm.manage.service;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.BaseService;
import com.ssm.manage.dto.BlackListDto;
import com.ssm.manage.entity.BlackList;
import com.ssm.manage.entity.StaffTemporary;
import com.ssm.manage.response.BlackListVo;
import com.ssm.manage.response.JobContentListVo;

import java.util.List;

/**
 * (BlackList)表服务接口
 *
 * @author makejava
 * @since 2023-12-20 11:41:45
 */
public interface BlackListService extends BaseService<BlackList> {

    PageInfo<BlackListVo> selectPage(BlackListDto dto);
    List<BlackListVo> selectAll(BlackListDto dto);

    PageInfo<StaffTemporary> getStaffTemporary(BlackListDto dto);

    PageInfo<JobContentListVo> getJonContent(BlackListDto dto);
}
